h1 {
	font-size: 32px;
}

h2 {
	font-size: 24px;
}

h3 {
	font-size: 16px;
}

p, a {
	font-size: 16px;
	line-height: calc(16px * 1.8);
}

a {
	text-decoration: underline;
	text-decoration-thickness: 2px;
	text-underline-offset: 4px;
}

.main {
	width: 100%;
	display: flex;
	justify-content: center;
	flex-direction: row; /* debugging */
}

.content {
	width: 100%;
	max-width: 768px;
	display: flex;
	flex-direction: column;
	gap: 64px;
	padding-top: calc(64px + var(--header));
	padding-bottom: 64px;
}

.container {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 32px;
	padding-right: var(--padding);
	padding-left: var(--padding);
}

.wrapper {
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.wrapper h1, 
.wrapper h2,
.wrapper h3,
.wrapper p,
.wrapper a {
	max-width: 512px;
}

.secondary-button, .primary-button {
	height: 54px;
	width: auto;
	align-self: flex-start;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 16px;
	font-weight: 600;
	border: 2px solid var(--purple);
	padding: 16px 24px;
	border-radius: calc(54px / 2);
	text-decoration: none;
	transition: transform 0.3s ease-in-out;
}

.secondary-button {
	background-color: var(--white);
	color: var(--purple);
}

.primary-button {
	background-color: var(--purple);
	color: var(--white);
}

.grid {
	width: 100%;
	max-width: 512px;
	display: flex;
	flex-direction: column;
	gap: 8px;
}

.row {
	width: 100%;
	display: flex;
	flex-direction: row;
}

.row h5, .row a, .row p {
	font-size: 16px;
	font-weight: 400;
	font-family: "Google Sans Flex", sans-serif;
	width: 100%;
	text-decoration: none;
}

.row-title-exception {
	text-decoration: underline !important;
	text-decoration-thickness: 2px;
	text-underline-offset: 4px;
}


@media screen and (min-width: 769px) {
	.primary-button:hover, .secondary-button:hover {
		transform: scale(1.02);
	}
}

@media screen and (max-width: 768px) {
	h1 {
		font-size: 24px;
	}

	h2 {
		font-size: 16px;
	}

	h3 {
		font-size: 14px;
	}

	p, a {
		font-size: 14px;
	}

	a, .row-title-exception {
		text-decoration-thickness: 1px;
		text-underline-offset: 2px;
	}

	.content {
		gap: 32px;
		padding-top: calc(32px + var(--header));
		padding-bottom: 32px;
	}

	.container {
		gap: 16px;
	}

	.wrapper {
		gap: 8px;
	}

	.wrapper h1, 
	.wrapper h2,
	.wrapper h3,
	.wrapper p,
	.wrapper a,
	.grid {
		max-width: 100%;
	}

	.secondary-button, .primary-button {
		height: 40px;
		padding: 8px 16px;
		border-radius: calc(40px / 2);
		font-size: 14px;
	}

	.row {
		flex-direction: column;
	}

	.row h5, .row a, .row p {
		font-size: 14px;
	}

	.row h5 {
		font-weight: 500;
	}
}

